#1720 closed defect (fixed)

gethostent_r() fails when /etc/hosts is absent

Reported by: Simon Perreault Owned by: Joel Sherrill
Priority: normal Milestone: 4.9.5
Component: network/legacy Version: 4.9
Severity: minor Keywords:
Cc: Blocked By:
Blocking:

Description

Subject says it all... See proposed fix in attachment.

Attachments (1)

rtems-gethostent_r.patch (611 bytes) - added by Simon Perreault on Nov 26, 2010 at 6:36:52 PM.
Proposed fix

Download all attachments as: .zip

Change History (7)

Changed on Nov 26, 2010 at 6:36:52 PM by Simon Perreault

Attachment: rtems-gethostent_r.patch added

Proposed fix

comment:1 Changed on Nov 26, 2010 at 6:36:52 PM by Simon Perreault

Subject says it all... See proposed fix in attachment.

comment:2 Changed on Nov 22, 2014 at 2:29:41 PM by Gedare Bloom

Milestone: 4.114.9.5
Owner: changed from Eric Norum to Joel Sherrill
Status: newassigned
Version: HEAD4.9

comment:3 Changed on Dec 29, 2015 at 12:22:37 AM by Aun-Ali Zaidi

This was fixed by #1709.

comment:4 Changed on Dec 29, 2015 at 12:23:18 AM by Aun-Ali Zaidi

Resolution: fixed
Status: assignedclosed

comment:5 Changed on Dec 30, 2015 at 12:38:14 AM by Gedare Bloom

was it fixed in 4.9 branch?

comment:6 Changed on Dec 30, 2015 at 12:46:32 AM by Aun-Ali Zaidi

Yes this was fixed in the 4.9 branch.

Note: See TracTickets for help on using tickets.